%define ver_major 2.26

Name: cheese
Version: %ver_major.3
Release: alt1

Summary: Cheese is a Photobooth-inspired application for taking pictures and videos
License: GPL
Group: Video
Url: http://www.gnome.org/projects/cheese

Source: ftp://ftp.gnome.org/pub/gnome/sources/cheese/%ver_major/%name-%version.tar.bz2

%define glib_ver 2.16
%define gtk_ver 2.14
%define desktop_ver 2.25.1

Requires(post): GConf2
BuildPreReq: GConf2
BuildRequires: libGConf-devel

# buildreq miss this
BuildPreReq: gnome-doc-utils gnome-common intltool
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-desktop-devel >= %desktop_ver
BuildRequires: librsvg-devel evolution-data-server-devel
BuildRequires: gst-plugins-devel libXxf86vm-devel libdbus-glib-devel libhal-devel
BuildRequires: gcc-c++ gnome-doc-utils-xslt docbook-dtds 

%description
Cheese is a Photobooth-inspired GNOME application for taking pictures
and videos from a webcam. It also includes fancy graphical effects
based on the gstreamer-backend.

%prep
%setup -q

%build
%autoreconf
%configure \
	--disable-scrollkeeper \
	--disable-schemas-install

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%config %_sysconfdir/gconf/schemas/*
%_bindir/cheese
%dir %_libexecdir/cheese
%_libexecdir/cheese/cheese-bugreport.sh
%_datadir/applications/cheese.desktop
%dir %_datadir/cheese
%_datadir/cheese/
%_datadir/icons/hicolor/*/apps/cheese.*
%_datadir/dbus-1/services/org.gnome.Cheese.service

%changelog
* Tue Jun 30 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.3-alt1
- 2.26.3

* Sun Mar 22 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- updated buildreqs

* Tue Jan 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.3-alt1
- 2.24.3

* Tue Nov 25 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- 2.24.2
- removed obsolete %%post* scripts

* Fri Nov 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Fri Jul 04 2008 Igor Zubkov <icesik@altlinux.org> 2.22.3-alt1
- 2.22.2 -> 2.22.3

* Tue May 27 2008 Igor Zubkov <icesik@altlinux.org> 2.22.2-alt1
- 2.22.1 -> 2.22.2

* Thu May 15 2008 Igor Zubkov <icesik@altlinux.org> 2.22.1-alt2
- exec %%update_menus after install and %%clean_menus after uninstall

* Thu Apr 24 2008 Igor Zubkov <icesik@altlinux.org> 2.22.1-alt1
- 2.22.0 -> 2.22.1

* Thu Apr 24 2008 Igor Zubkov <icesik@altlinux.org> 2.22.0-alt2
- fix build ob x86_64

* Thu Apr 03 2008 Igor Zubkov <icesik@altlinux.org> 2.22.0-alt1
- build for Sisyphus


